<template>
  <div>
    <h1 class="mb-3">In the last three months, have you had unintended weight loss of more than 10 lbs?</h1>
    <p class="mb-8">By unintended, we mean weight loss not due to increased exercise or dieting.</p>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <common-btn
      text="Next"
      :disabled="!radioSelected"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin, referMixin} from "@/utils/mixins";

export default {
  mixins: [radioMixin, answersMixin, referMixin],
  name: "YourHealth8",
  data() {
    return {
      choices: [
        'Yes',
        'No'
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_8')
        this.nextStage()
      }
    }
  },
  methods: {
    handleClick() {
      if (this.radioSelected === 'Yes') {
        this.setRefer('Let’s chat!', 'We need some more info to determine if a personalized prescription solution is right for you.\n\nYour symptoms indicate you may have a thyroid issue or different condition that could respond better to an alternative treatment option. A Shapiro MD clinician will reach out shortly to discuss the issue further.\n\nIn the meantime, you may benefit from a different formula:')
      } else {
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
